[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[PATCH 10/26] tests/docker: add test-fuzz
From: |
Alex Bennée |
Subject: |
[PATCH 10/26] tests/docker: add test-fuzz |
Date: |
Fri, 23 Jun 2023 13:20:44 +0100 |
Running the fuzzer requires some hoop jumping and some problems only
show up in containers. This basically replicates the build-oss-fuzz
job from our CI so we can run in the same containers we use in CI.
Signed-off-by: Alex Bennée <alex.bennee@linaro.org>
---
tests/docker/test-fuzz | 28 ++++++++++++++++++++++++++++
1 file changed, 28 insertions(+)
create mode 100755 tests/docker/test-fuzz
diff --git a/tests/docker/test-fuzz b/tests/docker/test-fuzz
new file mode 100755
index 0000000000..7e506ae1f6
--- /dev/null
+++ b/tests/docker/test-fuzz
@@ -0,0 +1,28 @@
+#!/bin/bash -e
+#
+# Compile and check with oss-fuzz.
+#
+# Copyright (c) 2023 Linaro Ltd.
+#
+# Authors:
+# Alex Bennée <alex.bennee@linaro.org>
+#
+# SPDX-License-Identifier: GPL-2.0-or-later
+
+. common.rc
+
+requires_binary clang
+
+# the build script runs out of $src so we need to copy across
+cd "$BUILD_DIR"
+cp -a $QEMU_SRC .
+cd src
+mkdir build-oss-fuzz
+export LSAN_OPTIONS=suppressions=scripts/oss-fuzz/lsan_suppressions.txt
+env CC="clang" CXX="clang++" CFLAGS="-fsanitize=address"
./scripts/oss-fuzz/build.sh
+export ASAN_OPTIONS="fast_unwind_on_malloc=0"
+for fuzzer in $(find ./build-oss-fuzz/DEST_DIR/ -executable -type f | grep -v
slirp); do
+ grep "LLVMFuzzerTestOneInput" ${fuzzer} > /dev/null 2>&1 || continue ;
+ echo Testing ${fuzzer} ... ;
+ "${fuzzer}" -runs=1 -seed=1 || exit 1 ;
+done
--
2.39.2
- [PATCH 04/26] docs/devel: remind developers to run CI container pipeline when updating images, (continued)
- [PATCH 04/26] docs/devel: remind developers to run CI container pipeline when updating images, Alex Bennée, 2023/06/23
- [PATCH 02/26] gitlab: ensure coverage job also publishes meson log, Alex Bennée, 2023/06/23
- [PATCH 05/26] tests/tcg: add mechanism to handle plugin arguments, Alex Bennée, 2023/06/23
- [PATCH 08/26] scripts/oss-fuzz: add a suppression for keymap, Alex Bennée, 2023/06/23
- [PATCH 12/26] tests/lcitool: update to latest version, Alex Bennée, 2023/06/23
- [PATCH 15/26] tests/lcitool: introduce qemu-minimal, Alex Bennée, 2023/06/23
- [PATCH 14/26] tests/lcitool: add an explicit gcc-native package, Alex Bennée, 2023/06/23
- [PATCH 07/26] qemu-keymap: properly check return from xkb_keymap_mod_get_index, Alex Bennée, 2023/06/23
- [PATCH 10/26] tests/docker: add test-fuzz,
Alex Bennée <=
- [PATCH 09/26] tests/qtests: clean-up and fix leak in generic_fuzz, Alex Bennée, 2023/06/23
- [PATCH 16/26] tests/docker: convert riscv64-cross to lcitool, Alex Bennée, 2023/06/23
- [PATCH 11/26] Makefile: add lcitool-refresh to UNCHECKED_GOALS, Alex Bennée, 2023/06/23
- [PATCH 13/26] tests/lcitool: Bump fedora container versions, Alex Bennée, 2023/06/23
- [PATCH 19/26] plugins: fix memory leak while parsing options, Alex Bennée, 2023/06/23
- [PATCH 24/26] docs/devel/qom.rst: Correct code style, Alex Bennée, 2023/06/23
- [PATCH 22/26] include/migration: mark vmstate_register() as a legacy function, Alex Bennée, 2023/06/23
- [PATCH 21/26] docs/devel: add some front matter to the devel index, Alex Bennée, 2023/06/23
- [PATCH 20/26] plugins: update lockstep to use g_memdup2, Alex Bennée, 2023/06/23